import java.awt.*;
import java.io.*;

public class DrawGL extends Frame {

 MyCanvas canvas;
 public static void main(String args[]) {

 DrawGL dl = new DrawGL();
 dl.show();
 }

 public DrawGL() {
   super("OpenGL Draw Triangles");

   canvas = new MyCanvas();

   add("Center",canvas);
  canvas.resize(400, 400);
  pack();
 }
}

class MyCanvas extends Canvas {

  static String debug = System.getProperty("gl.debug");
  static {
    if (debug.equals("true"))
      System.loadLibrary("gldraw_g");
    else
      System.loadLibrary("gldraw");
  }

 public native void X11DrawGL(int winData,int x0, int y0, int x1, int y2);

 public void paint(Graphics g) {
  int pData = sun.awt.motif.MyCanvasPeer.pData(this);
  try {
      X11DrawGL(pData, 350,0, 0, 100);
    } catch (java.lang.UnsatisfiedLinkError e) {
	System.out.println("Exception in X11DrawGL:" + e);
    }

 }
}
